using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class RunCommandRequestPacket : IPacket
{
	public string Command { get; set; }

	public RunCommandRequestPacket()
	{
	}

	public RunCommandRequestPacket(string command)
	{
		Command = command;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(Command ?? "");
	}

	public void Read(BinaryReader r)
	{
		Command = r.ReadString();
	}
}
